import React, { useContext } from 'react';
import { Link } from 'react-router-dom';
import { LanguageContext } from '../context/LanguageContext.js';

function Home() {
  const { language, translations } = useContext(LanguageContext);

  return (
    <div className="page home">
      <h1 className='header'>{translations[language].pages.home.h1}</h1>
      <p className='paragraph'>{translations[language].pages.home.p1}</p>
      <p className='paragraph'>
        {translations[language].pages.home.p2.p21}{' '}
        <Link to="/about">{translations[language].pages.home.p2.p22}</Link>
        {translations[language].pages.home.p2.p23}{' '}
        <Link to="/contact">{translations[language].pages.home.p2.p24}!</Link>
      </p>
      <p className='paragraph'>
        {translations[language].pages.home.p3}{' '}
        <a
          href="https://git.gay/DeltaStudio/PufokReactApp/"
          title="git.gay"
          target="_blank"
          rel="noreferrer"
        >
          git.gay
        </a>
      </p>
      <p className='paragraph'>{translations[language].pages.home.p4}: 20.05.2025 4:11 UTC +3</p>
      <br />
      <h1 className="pride-h">
        {translations[language].pages.home.h2}{' '}
        <img
          className="pride"
          src="https://pufok.gay/PublicResources/pride.png "
          alt="pride2025"
        />
      </h1>
    </div>
  );
}

export default Home;
